[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.EditKeyPress

Ensures character values are valid for the control.

## Declaration

Source position: dbextctrls.pp line 49

`protected procedure TDBDateEdit.EditKeyPress(`
`var Key: Char`
`); override;`

## Arguments

`Key` |  | Character value for the key.

## Description

EditKeyPress is an overridden procedure which processes the character value in Key. EditKeyPress calls the inherited method. EditKeyPress checks the value in Key to see if it contains data (as opposed to control characters) in the range Decimal 32 to Decimal 255. The Field property in DataLink also calls its IsValidChar method to see if Key is valid for the data type in the Field.

EditKeyPress requires DataLink to have both a valid TField instance in its Field property and its Edit property set to True. The value in Key is set to #0 (Decimal 0) if either condition is not met.